SDL_uikitopenglview Class Reference

`#import <SDL_uikitopenglview.h>`

Inheritance diagram for SDL_uikitopenglview:
[legend]
Collaboration diagram for SDL_uikitopenglview:
[legend]

## Instance Methods

(instancetype) | - initWithFrame:scale:retainBacking:rBits:gBits:bBits:aBits:depthBits:stencilBits:sRGB:multisamples:context:
(void) | - swapBuffers
(void) | - updateFrame
Instance Methods inherited from SDL_uikitview
(instancetype) | - initWithFrame:
(void) | - setSDLWindow:
(CGPoint) | - touchLocation:shouldNormalize:
(void) | - touchesBegan:withEvent:
(void) | - touchesEnded:withEvent:
(void) | - touchesMoved:withEvent:

## Properties

EAGLContext * | context
int | backingWidth
int | backingHeight
GLuint | drawableRenderbuffer
GLuint | drawableFramebuffer
GLuint | msaaResolveFramebuffer

## Detailed Description

Definition at line 29 of file SDL_uikitopenglview.h.

## Method Documentation

## initWithFrame:scale:retainBacking:rBits:gBits:bBits:aBits:depthBits:stencilBits:sRGB:multisamples:context:()

- (instancetype) initWithFrame: |  | (CGRect) | frame
scale: |  | (CGFloat) | scale
retainBacking: |  | (BOOL) | retained
rBits: |  | (int) | rBits
gBits: |  | (int) | gBits
bBits: |  | (int) | bBits
aBits: |  | (int) | aBits
depthBits: |  | (int) | depthBits
stencilBits: |  | (int) | stencilBits
sRGB: |  | (BOOL) | sRGB
multisamples: |  | (int) | multisamples
context: |  | (EAGLContext *) | glcontext

## swapBuffers()

- (void) swapBuffers |  |  |

## updateFrame()

- (void) updateFrame |  |  |

## Property Documentation

## backingHeight

- (int) backingHeight

read nonatomic assign

Definition at line 48 of file SDL_uikitopenglview.h.

## backingWidth

- (int) backingWidth

read nonatomic assign

Definition at line 47 of file SDL_uikitopenglview.h.

## context

- (EAGLContext*) context

read nonatomic weak

Definition at line 44 of file SDL_uikitopenglview.h.

## drawableFramebuffer

- (GLuint) drawableFramebuffer

read nonatomic assign

Definition at line 51 of file SDL_uikitopenglview.h.

## drawableRenderbuffer

- (GLuint) drawableRenderbuffer

read nonatomic assign

Definition at line 50 of file SDL_uikitopenglview.h.

## msaaResolveFramebuffer

- (GLuint) msaaResolveFramebuffer

read nonatomic assign

Definition at line 52 of file SDL_uikitopenglview.h.

The documentation for this class was generated from the following file:

- src/video/uikit/SDL_uikitopenglview.h